Summary: RIP routing daemon for automatic route table maintenance
Name: routed
Version: 0.10
Release: 8
Copyright: BSD
Group: Networking
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-routed-0.10.tar.gz
Source1: routed.init
Patch: netkit-routed-0.10-misc.patch
Patch1: netkit-routed-0.10-trace.patch
Buildroot: /var/tmp/routed-root
Prereq: /sbin/chkconfig
Summary(de): RIP-Routing-Dmon fr automatische Route-Tabellenverwaltung
Summary(fr): Dmon de routage RIP pour maintenante automatique de la table de routage
Summary(tr): RIP - otomatik ynlendirme protokol

%changelog

* Sun May 10 1998 Alan Cox <alan@redhat.com>

- Fixed the trace bug. Traces must now go into /var/log/routed/*

* Mon May 04 1998 Michael K. Johnson <johnsonm@redhat.com>

- Added /etc/sysconfig/routed parsing to init script

* Sat May 02 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscripts

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- fixed init script (wasn't including function library)

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- added init script, chkconfig support

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build

%description
A number of protocols are available for automatic updating of TCP/IP
routing tables. RIP is the simplest of those, and this package includes
a daemon which broadcasts RIP routing notification and handles incoming
RIP packets.

%description -l de
Es gibt eine Auswahl von Protokollen fr die automatische Aktualisierung 
von TCP/IP-Routing-Tabellen, von denen RIP das einfachste ist. Dieses 
Paket enthlt einen Dmon, der RIP-Routing-Meldungen rundsendet und
hereinkommende RIP-Pakete abfertigt. 

%description -l fr
Il existe de nombreux protocoles pour la mise  jour automatique des
tables de routage de TCP/IP. RIP est le plus simple d'entre eux et ce
paquetage contient un dmon qui diffuse la notification de routage RIP
et gre les paquets RIP entrants.

%description -l tr
Ynlendirme tablolarnn gncellenmesi iin bir dizi yntem vardr. RIP
bunlarn en basitleri arasnda yer alr. Bu sunucu RIP bilgilerini yaynlar
ve dinledii RIP bilgilerine gre ynlendirme tablolarn gnceller.

%prep
%setup -n netkit-routed-0.10
%patch -p1
%patch1 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make INSTALLROOT=$RPM_BUILD_ROOT install
install -m 755 $RPM_SOURCE_DIR/routed.init $RPM_BUILD_ROOT/etc/rc.d/init.d/routed

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add routed

%postun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del routed
fi

%files
/usr/sbin/routed
/usr/man/man8/routed.8
/etc/rc.d/init.d/routed
